package com.github.polpetta.mezzotre.telegram.callbackquery;

/**
 * This interface is a placeholder to keep all fields in one place
 *
 * @author Davide Polonio
 * @since 1.0
 */
public interface Field {
  /**
   * Additional fields that are related to {@code changeLanguage} event
   *
   * @author Davide Polonio
   * @since 1.0
   */
  enum SelectLanguageTutorial {
    NewLanguage("newLanguage");

    private final String name;

    SelectLanguageTutorial(String name) {
      this.name = name;
    }

    public String getName() {
      return name;
    }
  }

  /**
   * Enumerator with custom fields for {@link
   * com.github.polpetta.mezzotre.telegram.callbackquery.ShowHelp} callback query
   */
  enum ShowHelp {
    InvokedFromHelpMessage("invokedFromHelpMessage");

    private final String name;

    ShowHelp(String name) {
      this.name = name;
    }

    public String getName() {
      return name;
    }
  }
}
